cmake_minimum_required(VERSION 3.8)
project(um982_driver)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(gnss_comm REQUIRED)

add_executable(um982_driver_node src/um982_driver_node.cpp)
ament_target_dependencies(um982_driver_node rclcpp gnss_comm)
target_link_libraries(um982_driver_node pthread)

install(TARGETS um982_driver_node
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY launch config
  DESTINATION share/${PROJECT_NAME})

ament_package()
